| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC1785A.ino File Reference
Power Monitors and Coulomb Counters » LTC2991: 14-bit Octal I2C Voltage, Current, and Temperature Monitor

Linear Technology DC1785 Demonstration Board. More...

## Detailed Description

Linear Technology DC1785 Demonstration Board.

LTC2991: 14-bit ADC Octal I2C Voltage, Current, and Temperature monitor.

     Setup:
        Set the terminal baud rate to 115200 and select the newline terminator.
        A precision voltage source (preferably low-noise) may be used to apply a voltage
        to input terminals V1-V8. A precision voltmeter may be used to verify applied
        voltages. An oscilloscope may be used to view the PWM output. Ensure JP5, JP6
        and JP7 are in the LOW position. Refer to Demo Manual DC1785A

      Explanation of Commands:

        1 - Single-Ended Voltage - Selects the Single-Ended Voltage Menu.
                 1-8: Displays the measured single-ended voltage at one of the V1-V8
                      inputs. When measuring V1 and V8, ensure jumpers are set to VOLT
                      position.
                   9: Vcc - Displays the measured Vcc voltage.
                  10: ALL - Displays the measured voltages at all of the V1-V8 inputs
                      and Vcc.

        2 - Differential Voltage - Selects the Differential Voltage Menu.
            Maximum full scale differential voltage is 0.300V.

                 1-4: Displays the measured differential voltage across one of the V1-V8
                      input pairs. The input common-mode range is 0V to Vcc.  It is
                      easiest to ground the lower input. When measuring V1 and V8,
                      ensure jumpers are set to VOLT position.
                   5: ALL - Displays the measured differential voltages at all terminals.

        3 - Temperature - Selects the Temperature Menu
            To measure temperature using onboard transistors, set JP1, JP2, JP3 and JP4
            to TEMP position.
                   1: V1-V2 - Measure temperature of Q1 (mounted to demo board) when JP1
                      and JP2 are in TEMP position.
                   2: V3-V4 - Measure temperature of external transistor connected to V3
                      and V4 terminals.
                   3: V5-V6 - Measure temperature of external transistor connected to V5
                      and V6 terminals.
                   4: V7-V8 - Measure temperature of Q2 (mounted to demo board) when JP3
                      and JP4 are in TEMP position.
                   5: Internal - Measure temperature using the internal temperature
                      sensor.
                   6: All - Displays temperatures at all connections as well as the
                      internal temperature sensor.

        4 - Settings - Selects the Settings Menu
            Enable/disable the on-chip digital filters.  Also toggle temperature units
            between degrees Celsius or degrees Kelvin.
                 1-5: Entering these one can enable/disable various channel filters.
                   6: Toggle temperature units between degrees Celsius and degrees
                      Kelvin.

        5 - PWM - Selects the PWM Menu
            Generates Proportional PWM output using remote diode connected to pins 7 and
            8. When JP3 and JP4 are in TEMP positions, Q2 is used as the temperature
            sensing diode (mounted on demo board).
                   1: Set Threshold Temperature - Enter temperature corresponding to 0%
                      (100% in Inverted Mode) duty cycle.
                   2: Inverted/Non-Inverted PWM - Toggles between Inverted/Non-Inverted
                      modes
                   3: Enable/Disable - Enables or Disables PWM (Toggle)

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC2991

http://www.linear.com/product/LTC2991#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC1785A.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static int8_t | menu_1_single_ended_voltage ()
| Read single-ended voltages. More...
static int8_t | menu_2_read_differential_voltage ()
| Read differential voltages. More...
static int8_t | menu_3_read_temperature ()
| Read temperatures. More...
static int8_t | menu_4_settings ()
| Configure settings. More...
static int8_t | menu_5_pwm_options ()
| Configure PWM options. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...
const uint16_t | LTC2991_TIMEOUT =1000
| Configures the maximum timeout allowed for an LTC2991 read. More...

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 164 of file DC1785A.ino.

## ◆ menu_1_single_ended_voltage()

static int8_t menu_1_single_ended_voltage | ( |  | ) |
| static

Read single-ended voltages.

Returns
  Returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Definition at line 237 of file DC1785A.ino.

## ◆ menu_2_read_differential_voltage()

static int8_t menu_2_read_differential_voltage | ( |  | ) |
| static

Read differential voltages.

Returns
  Returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Definition at line 446 of file DC1785A.ino.

## ◆ menu_3_read_temperature()

static int8_t menu_3_read_temperature | ( |  | ) |
| static

Read temperatures.

Returns
  Returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Definition at line 564 of file DC1785A.ino.

## ◆ menu_4_settings()

static int8_t menu_4_settings | ( |  | ) |
| static

Configure settings.

Returns
  Returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Definition at line 764 of file DC1785A.ino.

## ◆ menu_5_pwm_options()

static int8_t menu_5_pwm_options | ( |  | ) |
| static

Configure PWM options.

Returns
  Returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Definition at line 871 of file DC1785A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 225 of file DC1785A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 210 of file DC1785A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 144 of file DC1785A.ino.

## Variable Documentation

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 139 of file DC1785A.ino.

## ◆ LTC2991_TIMEOUT

const uint16_t LTC2991_TIMEOUT =1000

Configures the maximum timeout allowed for an LTC2991 read.

Definition at line 141 of file DC1785A.ino.